corda / net.corda.node.services.messaging / ArtemisMessagingComponent / ArtemisPeerAddress

# ArtemisPeerAddress

`interface ArtemisPeerAddress : ArtemisAddress, SingleMessageRecipient`

### Properties

hostAndPort | `abstract val hostAndPort: HostAndPort`

### Inherited Properties

queueName | `abstract val queueName: String`

### Inheritors

NetworkMapAddress | `data class NetworkMapAddress : SingleMessageRecipient, ArtemisPeerAddress`
NodeAddress | `data class NodeAddress : ArtemisPeerAddress` This is the class used to implement SingleMessageRecipient, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.